<div class="container-fluid">
    <div class="row justify-content-center align-items-center" style="height: 100vh;">
      <div class="col-md-6">
        <form (ngSubmit)="onSubmitForm(form)" #form="ngForm" class="p-4 shadow">
          <div class="mb-3">
            <label for="name" class="form-label">Nom:</label>
            <input type="text" class="form-control" id="name" placeholder="Entrez votre nom" required ngModel name="nom">
          </div>
  
          <div class="mb-3">
            <label for="prenom" class="form-label">Prénom:</label>
            <input type="text" class="form-control" id="prenom" placeholder="Entrez votre prénom" required ngModel name="prenom">
          </div>
  
          <div class="mb-3">
            <label for="email" class="form-label">Email:</label>
            <input type="email" class="form-control" id="email" placeholder="Entrez votre email" required ngModel name="email">
          </div>
          
          <div class="mb-3">
            <label for="password" class="form-label">Mot de passe:</label>
            <input type="password" class="form-control" id="password" placeholder="Entrez votre mot de passe" required ngModel name="password">
          </div>
          
          <button type="submit" class="btn btn-primary btn-block">S'inscrire</button>
        </form>
      </div>
    </div>
  </div>
  